#include <stdio.h>
#include "fila.h"

int main()
{
	Fila fn, fp;
  int opcao, atn = 1, atp = 1, numCaixa;
	inicializar(&fn);
	inicializar(&fp);
  do
  {
    printf("M E N U\n\n");
    printf("1 - Ficha Normal\n");
    printf("2 - Ficha Prioritaria\n");
    printf("3 - Chamada do caixa\n\n");
    printf("Digite a sua opcao: ");
    scanf("%i", &opcao);
    switch(opcao)
    {
    case 1: 
      printf("Sua ficha eh %i (NORMAL)\n", atn);
      inserir(&fn, atn);
      ++atn;
      break;
    case 2:
      printf("Sua ficha eh %i (PRIORITARIO)\n", atp);
      inserir(&fp, atp);
      ++atp;
      break;
    case 3:
      printf("Digite o numero do caixa: ");
      scanf("%i", &numCaixa);
      if (numCaixa >= 1 && numCaixa <= 3 && !vazia(&fp)) 
        printf("Cliente %i (PRIORITARIO) --> Caixa %i\n",
          remover(&fp), numCaixa);
      else if (!vazia(&fn))
        printf("Cliente %i (NORMAL) --> Caixa %i\n", 
          remover(&fn), numCaixa);
      else
        printf("Nenhum cliente para ser atendido!\n");
    }
  }
  while (opcao != 4);
	return 0;
}